## org.apache.catalina.connector.http10
Class HttpConnector

    java.lang.Object
      |
      +--org.apache.catalina.connector.http10.HttpConnector

All Implemented Interfaces:
  Connector, Lifecycle, java.lang.Runnable

public final class HttpConnector
extends java.lang.Object
implements Connector, Lifecycle, java.lang.Runnable

Simple implementation of an HTTP/1.0 Connector, for testing and debugging purposes. Not intended to be the final solution.

Version:
  $Revision: 1.12 $ $Date: 2001/09/11 17:33:02 $
Author:
  Craig R. McClanahan

Field Summary
`protected Container` `container` The Container used for processing requests received by this Connector.
`protected LifecycleSupport` `lifecycle` The lifecycle event support for this component.
`protected int` `minProcessors` The minimum number of processors to start at initialization time.

Fields inherited from interface org.apache.catalina.Lifecycle
`START_EVENT, STOP_EVENT`

Constructor Summary
`HttpConnector()`

Method Summary
`void` `addLifecycleListener(LifecycleListener listener)` Add a lifecycle event listener to this component.
`Request` `createRequest()` Create (or allocate) and return a Request object suitable for specifying the contents of a Request to the responsible Container.
`Response` `createResponse()` Create (or allocate) and return a Response object suitable for receiving the contents of a Response from the responsible Container.
`int` `getAcceptCount()` Return the accept count for this Connector.
`java.lang.String` `getAddress()` Return the bind IP address for this Connector.
`int` `getBufferSize()` Return the input buffer size for this Connector.
`int` `getConnectionTimeout()` Return the connection timeout for this Connector.
`Container` `getContainer()` Return the Container used for processing requests received by this Connector.
`int` `getCurProcessors()` Return the current number of processors that have been created.
`int` `getDebug()` Return the debugging detail level for this component.
`boolean` `getEnableLookups()` Return the "enable DNS lookups" flag.
`ServerSocketFactory` `getFactory()` Return the server socket factory used by this Container.
`java.lang.String` `getInfo()` Return descriptive information about this Connector implementation.
`int` `getMaxProcessors()` Return the maximum number of processors allowed, or <0 for unlimited.
`int` `getMinProcessors()` Return the minimum number of processors to start at initialization.
`int` `getPort()` Return the port number on which we listen for HTTP requests.
`java.lang.String` `getProxyName()` Return the proxy server name for this Connector.
`int` `getProxyPort()` Return the proxy server port for this Connector.
`int` `getRedirectPort()` Return the port number to which a request should be redirected if it comes in on a non-SSL port and is subject to a security constraint with a transport guarantee that requires SSL.
`java.lang.String` `getScheme()` Return the scheme that will be assigned to requests received through this connector.
`boolean` `getSecure()` Return the secure connection flag that will be assigned to requests received through this connector.
`Service` `getService()` Return the `Service` with which we are associated (if any).
`void` `initialize()` Initialize this connector (create ServerSocket here!)
`boolean` `isAvailable()` Is this connector available for processing requests?
`void` `removeLifecycleListener(LifecycleListener listener)` Remove a lifecycle event listener from this component.
`void` `run()` The background thread that listens for incoming TCP/IP connections and hands them off to an appropriate processor.
`void` `setAcceptCount(int count)` Set the accept count for this Connector.
`void` `setAddress(java.lang.String address)` Set the bind IP address for this Connector.
`void` `setBufferSize(int bufferSize)` Set the input buffer size for this Connector.
`void` `setConnectionTimeout(int connectionTimeout)` Set the connection timeout for this Connector.
`void` `setContainer(Container container)` Set the Container used for processing requests received by this Connector.
`void` `setDebug(int debug)` Set the debugging detail level for this component.
`void` `setEnableLookups(boolean enableLookups)` Set the "enable DNS lookups" flag.
`void` `setFactory(ServerSocketFactory factory)` Set the server socket factory used by this Container.
`void` `setMaxProcessors(int maxProcessors)` Set the maximum number of processors allowed, or <0 for unlimited.
`void` `setMinProcessors(int minProcessors)` Set the minimum number of processors to start at initialization.
`void` `setPort(int port)` Set the port number on which we listen for HTTP requests.
`void` `setProxyName(java.lang.String proxyName)` Set the proxy server name for this Connector.
`void` `setProxyPort(int proxyPort)` Set the proxy server port for this Connector.
`void` `setRedirectPort(int redirectPort)` Set the redirect port number.
`void` `setScheme(java.lang.String scheme)` Set the scheme that will be assigned to requests received through this connector.
`void` `setSecure(boolean secure)` Set the secure connection flag that will be assigned to requests received through this connector.
`void` `setService(Service service)` Set the `Service` with which we are associated (if any).
`void` `start()` Begin processing requests via this Connector.
`void` `stop()` Terminate processing requests via this Connector.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### container

    protected Container container

  The Container used for processing requests received by this Connector.

### lifecycle

    protected LifecycleSupport lifecycle

  The lifecycle event support for this component.

### minProcessors

    protected int minProcessors

  The minimum number of processors to start at initialization time.

Constructor Detail

### HttpConnector

    public HttpConnector()

Method Detail

### getConnectionTimeout

    public int getConnectionTimeout()

  Return the connection timeout for this Connector.

### setConnectionTimeout

    public void setConnectionTimeout(int connectionTimeout)

  Set the connection timeout for this Connector.

### getAcceptCount

    public int getAcceptCount()

  Return the accept count for this Connector.

### setAcceptCount

    public void setAcceptCount(int count)

  Set the accept count for this Connector.

  Parameters:
    `count` - The new accept count

### getAddress

    public java.lang.String getAddress()

  Return the bind IP address for this Connector.

### setAddress

    public void setAddress(java.lang.String address)

  Set the bind IP address for this Connector.

  Parameters:
    `address` - The bind IP address

### isAvailable

    public boolean isAvailable()

  Is this connector available for processing requests?

### getBufferSize

    public int getBufferSize()

  Return the input buffer size for this Connector.

### setBufferSize

    public void setBufferSize(int bufferSize)

  Set the input buffer size for this Connector.

  Parameters:
    `bufferSize` - The new input buffer size.

### getContainer

    public Container getContainer()

  Return the Container used for processing requests received by this Connector.

  Specified by:
    `getContainer` in interface `Connector`

### setContainer

    public void setContainer(Container container)

  Set the Container used for processing requests received by this Connector.

  Specified by:
    `setContainer` in interface `Connector`
  Parameters:
    `container` - The new Container to use

### getCurProcessors

    public int getCurProcessors()

  Return the current number of processors that have been created.

### getDebug

    public int getDebug()

  Return the debugging detail level for this component.

### setDebug

    public void setDebug(int debug)

  Set the debugging detail level for this component.

  Parameters:
    `debug` - The new debugging detail level

### getEnableLookups

    public boolean getEnableLookups()

  Return the "enable DNS lookups" flag.

  Specified by:
    `getEnableLookups` in interface `Connector`

### setEnableLookups

    public void setEnableLookups(boolean enableLookups)

  Set the "enable DNS lookups" flag.

  Specified by:
    `setEnableLookups` in interface `Connector`
  Parameters:
    `enableLookups` - The new "enable DNS lookups" flag value

### getFactory

    public ServerSocketFactory getFactory()

  Return the server socket factory used by this Container.

  Specified by:
    `getFactory` in interface `Connector`

### setFactory

    public void setFactory(ServerSocketFactory factory)

  Set the server socket factory used by this Container.

  Specified by:
    `setFactory` in interface `Connector`
  Parameters:
    `factory` - The new server socket factory

### getInfo

    public java.lang.String getInfo()

  Return descriptive information about this Connector implementation.

  Specified by:
    `getInfo` in interface `Connector`

### getMinProcessors

    public int getMinProcessors()

  Return the minimum number of processors to start at initialization.

### setMinProcessors

    public void setMinProcessors(int minProcessors)

  Set the minimum number of processors to start at initialization.

  Parameters:
    `minProcessors` - The new minimum processors

### getMaxProcessors

    public int getMaxProcessors()

  Return the maximum number of processors allowed, or <0 for unlimited.

### setMaxProcessors

    public void setMaxProcessors(int maxProcessors)

  Set the maximum number of processors allowed, or <0 for unlimited.

  Parameters:
    `maxProcessors` - The new maximum processors

### getPort

    public int getPort()

  Return the port number on which we listen for HTTP requests.

### setPort

    public void setPort(int port)

  Set the port number on which we listen for HTTP requests.

  Parameters:
    `port` - The new port number

### getProxyName

    public java.lang.String getProxyName()

  Return the proxy server name for this Connector.

### setProxyName

    public void setProxyName(java.lang.String proxyName)

  Set the proxy server name for this Connector.

  Parameters:
    `proxyName` - The new proxy server name

### getProxyPort

    public int getProxyPort()

  Return the proxy server port for this Connector.

### setProxyPort

    public void setProxyPort(int proxyPort)

  Set the proxy server port for this Connector.

  Parameters:
    `proxyPort` - The new proxy server port

### getRedirectPort

    public int getRedirectPort()

  Return the port number to which a request should be redirected if it comes in on a non-SSL port and is subject to a security constraint with a transport guarantee that requires SSL.

  Specified by:
    `getRedirectPort` in interface `Connector`

### setRedirectPort

    public void setRedirectPort(int redirectPort)

  Set the redirect port number.

  Specified by:
    `setRedirectPort` in interface `Connector`
  Parameters:
    `redirectPort` - The redirect port number (non-SSL to SSL)

### getScheme

    public java.lang.String getScheme()

  Return the scheme that will be assigned to requests received through this connector. Default value is "http".

  Specified by:
    `getScheme` in interface `Connector`

### setScheme

    public void setScheme(java.lang.String scheme)

  Set the scheme that will be assigned to requests received through this connector.

  Specified by:
    `setScheme` in interface `Connector`
  Parameters:
    `scheme` - The new scheme

### getSecure

    public boolean getSecure()

  Return the secure connection flag that will be assigned to requests received through this connector. Default value is "false".

  Specified by:
    `getSecure` in interface `Connector`

### setSecure

    public void setSecure(boolean secure)

  Set the secure connection flag that will be assigned to requests received through this connector.

  Specified by:
    `setSecure` in interface `Connector`
  Parameters:
    `secure` - The new secure connection flag

### getService

    public Service getService()

  Return the `Service` with which we are associated (if any).

  Specified by:
    `getService` in interface `Connector`

### setService

    public void setService(Service service)

  Set the `Service` with which we are associated (if any).

  Specified by:
    `setService` in interface `Connector`
  Parameters:
    `service` - The service that owns this Engine

### createRequest

    public Request createRequest()

  Create (or allocate) and return a Request object suitable for specifying the contents of a Request to the responsible Container.

  Specified by:
    `createRequest` in interface `Connector`

### createResponse

    public Response createResponse()

  Create (or allocate) and return a Response object suitable for receiving the contents of a Response from the responsible Container.

  Specified by:
    `createResponse` in interface `Connector`

### run

    public void run()

  The background thread that listens for incoming TCP/IP connections and hands them off to an appropriate processor.

  Specified by:
    `run` in interface `java.lang.Runnable`

### addLifecycleListener

    public void addLifecycleListener(LifecycleListener listener)

  Add a lifecycle event listener to this component.

  Specified by:
    `addLifecycleListener` in interface `Lifecycle`
  Parameters:
    `listener` - The listener to add

### removeLifecycleListener

    public void removeLifecycleListener(LifecycleListener listener)

  Remove a lifecycle event listener from this component.

  Specified by:
    `removeLifecycleListener` in interface `Lifecycle`
  Parameters:
    `listener` - The listener to add

### initialize

    public void initialize()
                    throws LifecycleException

  Initialize this connector (create ServerSocket here!)

  Specified by:
    `initialize` in interface `Connector`
  Throws:
    `LifecycleException` - If this server was already initialized.

### start

    public void start()
               throws LifecycleException

  Begin processing requests via this Connector.

  Specified by:
    `start` in interface `Lifecycle`
  Throws:
    `LifecycleException` - if a fatal startup error occurs

### stop

    public void stop()
              throws LifecycleException

  Terminate processing requests via this Connector.

  Specified by:
    `stop` in interface `Lifecycle`
  Throws:
    `LifecycleException` - if a fatal shutdown error occurs

Copyright © 2000-2001 Apache Software Foundation. All Rights Reserved.